#include	<string.h>
#include	<stdio.h>
#include	<tsdb.h>

main(int	argc, char	*argv[])
{
	struct tsdb	*T = load_tsdb(argv[1]);
	int i, j, k;
	for(i=0;i<T->nrelations;i++)
	{
		struct relation	*R = get_relation(T, T->relations[i].name);
		int	changed = 0;
		for(j=0;j<R->ntuples;j++)
		{
			for(k=0;k<R->nfields;k++)
				if(!strcasecmp(R->fields[k].type, "integer") && !*R->tuples[j][k])
				{
					changed = 1;
					R->tuples[j][k] = strdup("-1");
				}
		}
		if(changed)tsdb_write_relation(T, R);
	}

	struct relation	*I = get_relation(T, "item");
	struct relation	*P = get_relation(T, "parse");
	if(I->ntuples != P->ntuples)
		printf("bad: %s  -- %d items but %d parses\n", argv[1], I->ntuples, P->ntuples);
}
